summaryrefslogtreecommitdiffstats
path: root/abs
diff options
context:
space:
mode:
authorMichael Hanson <hansonorders@verizon.net>2010-11-10 03:47:18 (GMT)
committerMichael Hanson <hansonorders@verizon.net>2010-11-10 03:47:18 (GMT)
commita74c5d1b977315093275839e819308a40e69774b (patch)
treed979fc1ce4c38d8fbfa3b6dbac0c10e81d320e80 /abs
parent0ec2b8a8cf20d387973df8330067fe6f3e8479cb (diff)
downloadlinhes_pkgbuild-a74c5d1b977315093275839e819308a40e69774b.zip
linhes_pkgbuild-a74c5d1b977315093275839e819308a40e69774b.tar.gz
linhes_pkgbuild-a74c5d1b977315093275839e819308a40e69774b.tar.bz2
libbluray-git: initial include
Diffstat (limited to 'abs')
-rw-r--r--abs/extra/libbluray-git/PKGBUILD38
1 files changed, 38 insertions, 0 deletions
diff --git a/abs/extra/libbluray-git/PKGBUILD b/abs/extra/libbluray-git/PKGBUILD
new file mode 100644
index 0000000..c83dce3
--- /dev/null
+++ b/abs/extra/libbluray-git/PKGBUILD
@@ -0,0 +1,38 @@
+# Maintainer: Andrew Cook <ariscop@gmail.com>
+
+pkgname=libbluray-git
+pkgver=20101110
+pkgrel=1
+pkgdesc="Blu-Ray access library"
+arch=('i686' 'x86_64')
+depends=('doxygen')
+license=('LGPL')
+url="http://www.videolan.org/developers/libbluray.html"
+makedepends=('git')
+source=()
+md5sums=()
+provides=('libbluray')
+conflicts=('libbluray')
+
+_gitroot="git://git.videolan.org/libbluray.git"
+_gitname="libbluray"
+
+build() {
+ msg "Connecting to GIT server..."
+
+ if [ -d ${srcdir}/$_gitname ] ; then
+ cd $_gitname && git pull origin
+ msg "The local files are updated."
+ else
+ git clone $_gitroot
+ fi
+
+ msg "GIT checkout done or server timeout"
+ msg "Starting make..."
+
+ cd ${srcdir}/libbluray
+ ./bootstrap
+ ./configure --prefix=/
+ make || return 1
+ make DESTDIR=${pkgdir}/usr install || return 1
+}